//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KeyShiftState class - encapsulation of the notion of a key Shift state
//

/**
 * KeyShiftState class gives an enumerated typedef of key Shift states.
 */
public class KeyShiftState {

	// only available definitions
	public final static KeyShiftState	UNSHIFTED
				= new KeyShiftState( "UNSHIFTED" );
	public final static KeyShiftState	SHIFTED
				= new KeyShiftState( "SHIFTED" );

	// string id representing the shift state
	private String id	= null;

	/**
	 * Create a new KeyShiftState.
	 */
	private KeyShiftState( String id ) {
		this.id = id;
	}

	/**
	 * Return a string representation of the KeyShiftState.
	 */
	public String toString()	{ return ( id ); }
}
